Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.core
Class CinemaCoreGui

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.cinema.core.CinemaCoreGui

All Implemented Interfaces:
  CinemaActionProvider, EventListener, SystemListener

public class CinemaCoreGui
extends Module
implements SystemListener, CinemaActionProvider

CinemaCoreGui.java This module defines the core Gui for cinema. It gives access to all of the main components that it defines, and get/set methods for these. This is meant to be a pretty low level module. Generally other modules should not use this unless absolutely necessary. Rather the CinemaCoreView module should be used instead. At the moment set access has not been provided to any of the components. I may change this if is needed. Created: Wed Apr 19 16:58:08 2000

Version:
  $Id: CinemaCoreGui.java,v 1.17 2001/05/08 17:39:31 lord Exp $
Author:
  Phillip Lord

Field Summary

Fields inherited from interface uk.ac.man.bioinf.apps.systemevents.SystemListener
`NO_VETO, VETO_DUE_TO_ERROR, VETO_DUE_TO_USER_REQUEST`

Constructor Summary
`CinemaCoreGui()`

Method Summary
`void` | `attemptSystemExit()`
`void` | `destroy()` The method called, from an external source, to remove this module and prepare it for garbage collection.
`Action[]` | `getActions()`
`CinemaAlignmentFrame` | `getAlignmentFrame()`
`JFrame` | `getFrame()`
`JMenuBar` | `getJMenuBar()`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`JAlignmentButtonPanel` | `getRowHeaders()`
`JAlignmentRuler` | `getRuler()`
`JPanel` | `getRulerPanel()`
`JScrollPane` | `getScrollPane()`
`JTextField` | `getStatusBar()`
`String` | `getVersion()` Returns the version of this module.
`JAlignmentViewer` | `getViewer()`
`void` | `load()` The method called for the load of this module.
`void` | `start()` The method called externally to initiate the modules function.
`void` | `systemEventOccured(SystemEvent event)` This is an event listener for system events.
`int` | `systemListenerPriority()` Some events (particularly shut downs) have to happen in a very specific order.

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaCoreGui

    public CinemaCoreGui()

Method Detail

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### destroy

    public void destroy()

  Description copied from class: `Module`
  The method called, from an external source, to remove this module and prepare it for garbage collection.

  Overrides:
    `destroy` in class `Module`

### systemEventOccured

    public void systemEventOccured(SystemEvent event)
                            throws SystemVetoException

  Description copied from interface: `SystemListener`
  This is an event listener for system events. All listeners should be signalled before the SystemEvent occurs. They should not return from this method until they are ready for that event to occur. An exception is thrown if the listener wishes to veto this system event. g

  Specified by:
    `systemEventOccured` in interface `SystemListener`
  Parameters:
    `event` - the system event occuring
  Throws:
    `SystemVetoException` - if the listener does not want the event to happen

### systemListenerPriority

    public int systemListenerPriority()

  Description copied from interface: `SystemListener`
  Some events (particularly shut downs) have to happen in a very specific order. This method provides a priority to allow this to happen. Those with the lowest priority are informed first. Any valid int value is acceptable. This interface does not provide the ability to set different priorities for different events. The same effect can be achieved by delegating the to a small class. This way a single object can register more than one listener object, and thus have different priorities for different events A listener should not change its priority. There is not guarentee when this value will be used.

  Specified by:
    `systemListenerPriority` in interface `SystemListener`

### getFrame

    public JFrame getFrame()

### getRowHeaders

    public JAlignmentButtonPanel getRowHeaders()

### getJMenuBar

    public JMenuBar getJMenuBar()

### getScrollPane

    public JScrollPane getScrollPane()

### getRulerPanel

    public JPanel getRulerPanel()

### getViewer

    public JAlignmentViewer getViewer()

### getRuler

    public JAlignmentRuler getRuler()

### getStatusBar

    public JTextField getStatusBar()

### getAlignmentFrame

    public CinemaAlignmentFrame getAlignmentFrame()

### attemptSystemExit

    public void attemptSystemExit()

### getActions

    public Action[] getActions()

  Specified by:
    `getActions` in interface `CinemaActionProvider`

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `Module`
  Returns:
    the required module identifiers

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD